<div style="margin-bottom: 15px;">
    <!-- <h5>
       <span jhiTranslate="mpmApp.requestRequirement.home.title">Request Requirements</span>
    </h5> -->
    <p-dataTable
        [value]="customRequestRequirements">
        <p-header>
            <ul class="nav justify-content-end">
                <!-- <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['request-requirement-popup-new'] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li> -->
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <!-- <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.requestRequirement.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button> -->
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No VSO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.requirementNumber}}
            </ng-template>
        </p-column>
        <p-column header="Product">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.productName}}
            </ng-template>
        </p-column>
        <p-column header="Color">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.featureName}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../request-requirement', rowData.idRequest]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <!-- <button pButton type="submit"
                        [routerLink]="['../request-requirement/'+ rowData.idRequest + '/edit/' + page]"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idRequest)"
                        icon="fa-remove"
                        class="flat-button">
                </button> -->
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>